"""
This example shows you how to create a basic input box that sends messages to a message box.
Type \q to quit."""
import gui, pygame

def main():
    pygame.init()
    screen = pygame.display.set_mode((550, 650))
    pygame.display.set_caption("GUI 1")
    screen.fill([0,0,0])

    #create our gui
    box = gui.MessageBox(100, 150, 300, 250, 13, image_name='message_box_border.bmp')
    #centerx, centery, prompt, input_area_width, input_area_height
    get_input_box = gui.InputBox(15, 550, 'Message', 350, 25)

    
    num = 0
        
    while 1:
        screen.fill([0,0,0])

        #get the input from the message box
        get_input_box.get_input()
        #now see if there was a completed message
        message = get_input_box.get_completed_message()

        #now do something with the message
        if message is not None:
            box.add_message(message)
        #if the completed message == '\q' then quit the program
        if message == "\q":
            pygame.quit()
            return 0
            

        #draw our gui
        get_input_box.draw(screen)
        box.draw(screen)
            
        pygame.display.flip()

r = 1
if r == 1:
    main()
