"""
This example shows hox to create a simple isometric map.
"""
import MapPainter, pygame, IsoSprite, time
from MapPainter import *

def main():
    pygame.init()

    global screen
    screen = pygame.display.set_mode((640, 480))
    pygame.display.set_caption("Eskimo Tutorial")

    screen.fill([0,0,0])
        
    pygame.display.flip()

    #these are the locations of the map, used for moving the whole map around
    globex = 0
    globey = 0

    #here we specify what letters represent which tiles,
    #load the tiles and apply alpha to tiles that need it, in this case the water is given transparency
    letters = "sgdw"
    images = ['snow.bmp',
              'grass.bmp',
              'dirt.bmp',
              'water_s.bmp']
    transparency = [0,0,0,125]

    filename = 'plate0_0.cfg'

    #create map and load everything
    world = Isometric_Tile_Map(globex,globey)
    world.load_data(filename)
    world.load_tiles(letters, images, transparency)

    while 1:

        for e in pygame.event.get():
            if e.type is QUIT:
                pygame.quit()
                return 0
            if e.type is KEYDOWN and e.key == K_ESCAPE:
                pygame.quit()
                return 0

                
        world.draw_map(screen)
        pygame.display.flip()

r = 1
if r== 1:
    main()
